
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Dungeons and Damages</title>
	<link rel="icon" href="favicon.ico">
    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/navbar-fixed-top.css" rel="stylesheet">
	<link href="css/noty.css" rel="stylesheet">
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body onload="PopulateMenu();onLoad();" data-spy="scroll" data-target="#leftCol" data-offset="15" >
	<div id="preloader">
	  <div id="status">&nbsp;</div>
	</div>
<style>
.table, .table tr th
{
	font-size:20px;
}
</style>
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><img src="img/header.jpg" ></a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav" id="menuBar">
          </ul>
        </div><!--/.nav-collapse -->
          <div class="sidenav pre-scrollable" style="padding-left:5px" id="leftCol">
		<a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
			<h3>DM Actions</h3>
				<button type="button" onclick="ClearCharacters();" class="btn btn-default">Clear All Characters</button><br><br>
				<button type="button" onclick="ActivateCharacters();" class="btn btn-default">Activate All Characters</button><br><br>
				<button type="button" onclick="InactivateCharacters();" class="btn btn-default">Inactivate All Characters</button><br><br>
				<div class="checkbox">
					<label><input type="checkbox" id="cbNotification" value="" onchange="UpdateNotificationFromCheckbox();" >Enable Viewer Notifications</label>
				</div><br>
				<div id="AddCharDiv">
							  <h3>Add Character</h3>
					<form class="form-inline" role="form">
					  <div class="form-group">
						<label for="txtName">Name:&emsp;&emsp;&emsp;&emsp;&emsp;&nbsp;&nbsp;</label>
						<input type="text" class="form-control" id="txtName" placeholder="Enter Character Name">
					  </div>			  
					  <div class="form-group">
						<label for="txtCurrentHP">Current Hit Points:</label>
						<input type="number" class="form-control" id="txtCurrentHP" placeholder="Enter Current HP">
					  </div><br>
					  <div class="form-group">
						<label for="txtMaxHP">Max Hit Points:&emsp;&nbsp;&nbsp;</label>
						<input type="number" class="form-control" id="txtMaxHP" placeholder="Enter Max HP">
					  </div><br>
					  <label for="ddlCharacter">Character Type:</label>
					  <select class="form-control" id="ddlCharacter" onchange="ChangeDDL()" >
						<option>Player</option>
						<option>NPC</option>
						<option>Enemy</option>
					  </select><br>
					  <div class="checkbox">
						  <label><input type="checkbox" id="cbActive" checked="true" value="">Is Active</label>
					  </div><br>
					  <div class="checkbox">
						  <label><input type="checkbox" id="cbHidden" value="" >Is Hidden</label>
					  </div><br>
					  <div class="form-group" id="tokenDiv">
						  <label for="txtToken">Token Number(-1 for none):</label>
						  <input type="number" class="form-control" id="txtToken" value="-1"><br>
						  <label for="txtXP">XP:</label><br>
						  <input type="number" class="form-control" id="txtXP" value="0"><br>
					  </div>
					  <button type="button" onclick="PlayerAdd();" class="btn btn-default">Add</button>
					</form>
				</div>
			</div>
      </div>
    </nav>
	<div class="pushcontent">
			<div class="side-panel">
				<div class="side-button btn" onclick="toggleNav()">
					<div class="invisible-content">
						DM Actions
					</div>
					<div class="visible-content">
						<img style="width:50px;height:50px;" src="img/d20.gif">
					</div>
				</div>
				<div class="side-button btn" onclick="DisplayNextTurn();" >
					<div class="invisible-content">
						Next Turn
					</div>
					<div class="visible-content">
						<img style="width:50px;height:50px;" src="img/arrowright.png">
					</div>
				</div>
				<div class="side-button btn" onclick="DisplayPreviousTurn();" >
					<div class="invisible-content">
						Previous Turn
					</div>
					<div class="visible-content">
						<img style="width:50px;height:50px;border-radius:5px" src="img/arrowleft.png">
					</div>
				</div>
			</div>
	</div>
	</div>
	<style>
		.whiteAndLarge
		{
			font-size:26px;
			color:white;
		}
	</style>
    <div class="container-fluid text-center">
		<div class="row pushcontent">
				<div class="col-md-4 whiteAndLarge" >Current Round:<input style="width:100px" type="number" id="displayRound"></input><button class="btn btn-default" onclick="SetRoundAndDisplay();" >Set</button></div>
		<div class="col-md-4 whiteAndLarge" >Time Elapsed:<span class="whiteAndLarge" id="displayMinutesAndSeconds" />
		</div>
		<div class="col-md-4 whiteAndLarge" >XP Total:<input style="width:100px" type="number" id="displayXP"></input><button class="btn btn-default" onclick="SetXPAndDisplay();" >Set</button></div>
		</div>
		<div class="row pushcontent">
		<!--Left Column-->	
		<!--Right Column-->
		<h2>Character Modification</h2>
			<div class="col-md-1">&nbsp;</div>
			<div class="col-md-11" id="mainCol">
			<div class='table-responsive text-center' style='padding-right:17px'><table id='headTable' class='table text-center;'><thead><tr><th>Name</th><th>Hit Points</th><th>+/- HP</th><th>Order</th><th>+ Affliction</th><th>- Affliction</th><th>Hidden</th><th>Active</th><th>Turn Held</th></tr></thead>
			</table></div>
				<div id='observe' class="pre-scrollable">
				</div>
			</div>
		</div> <!--/Outer Columns-->
	</div> <!-- /container --> 
    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="js/ie10-viewport-bug-workaround.js"></script>
	<script src="js/noty.min.js"></script>
	<script src="js/menu.js"></script>
	<script src="js/dndCommon.js"></script>
	<script src="js/dndSetup.js"></script>
	<script>
	function SetXPAndDisplay()
	{
		SetXP($('#displayXP').val());
		ShowNotification("success", "XP Set Successfully.");
	}
	function SetRoundAndDisplay()
	{
		SetRound($('#displayRound').val());
		SetSecondsElement();
		ShowNotification("success", "Round Set Successfully.");
	}
	function onLoad()
	{
		Initialise('observe', 1000);
		SetDivHeights();
		UpdateNotificationCheckboxFromStorage();
		DisplayDMArray();
		ChangeDDL();
		ClosePreloader();
	}
	function SetDivHeights()
	{
		var h = window.innerHeight;
		$("#observe").css("max-height", (h - 280) + "px");
		$("#leftCol").css("max-height", (h) + "px");
	}
	function ToggleAddCharacter()
	{
		if($("#AddCharDiv").hasClass("hidden"))
		{
			$("#ToggleAdd").text("Hide Add Character");
		}
		else
		{
			$("#ToggleAdd").text("Show Add Character");
		}
		$("#AddCharDiv").toggleClass("hidden", 1000);
	}
	
	</script>
<style>
.pre-scrollable {
    overflow-y: scroll;
	max-height:600px;
}
</style>
  </body>
</html>
